aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/update.sh')
-rwxr-xr-xscripts/update.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/update.sh b/scripts/update.sh
new file mode 100755
index 00000000..e169cd2f
--- /dev/null
+++ b/scripts/update.sh
@@ -0,0 +1,32 @@
+ #############################################################################
+ # Copyright (c) 2017 Cisco and/or its affiliates.
+ # Licensed under the Apache License, Version 2.0 (the "License");
+ # you may not use this file except in compliance with the License.
+ # You may obtain a copy of the License at:
+ #
+ # http://www.apache.org/licenses/LICENSE-2.0
+ #
+ # Unless required by applicable law or agreed to in writing, software
+ # distributed under the License is distributed on an "AS IS" BASIS,
+ # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ # See the License for the specific language governing permissions and
+ # limitations under the License.
+ ##############################################################################
+
+#!/bin/bash
+set -e
+
+#git pull
+cd src/ccnxlibs
+git pull
+cd ../..
+cd src/cframework
+git pull
+cd ../..
+cd src/sb-forwarder
+git pull
+cd ../..
+cd src/libicnet
+git pull
+cd ../..
+